﻿Imports System.ComponentModel

Namespace ViewModel

	Public MustInherit Class ViewModelBase
		Implements INotifyPropertyChanged

#Region "INotifyPropertyChanged Members"

		Public Event PropertyChanged(sender As Object, e As System.ComponentModel.PropertyChangedEventArgs) _
		 Implements System.ComponentModel.INotifyPropertyChanged.PropertyChanged

#End Region

#Region "Protected Methods"

		Protected Sub RaisePropertyChangedEvent(ByVal propertyName As String)
			Dim e As New PropertyChangedEventArgs(propertyName)
			RaiseEvent PropertyChanged(Me, e)
		End Sub

#End Region

	End Class
End Namespace